Subject: [PATCH net-next 0/2] Fix RGMII delays for 88E1118

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 4 Jan 2022 16:37:21 +0000

Hi,

This series fixes the RGMII delays for 88E1118 Marvell PHYs, after a
report by Corentin Labbe that the Marvell driver fails to work.

Patch 1 cleans up the paged register accesses in m88e1118_config_init()
and patch 2 adds the RGMII delay configuration.

This comes with an element of risk as existing DT may need to be fixed
for this in a similar way as we have done in the recent past for other
PHY drivers that have misinterpreted the RGMII interface modes.

 drivers/net/phy/marvell.c | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!